/* Copyright (c) 2004 David Hammerton - All rights reserved
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 *
 */



#ifndef __LISTS_H
#define __LISTS_H

/* sourcelist */
int sourcelist_init(GladeXML *xml);
int sourcelist_append(void *host, char *name);
int sourcelist_clear();

/* artistlist */
int artistlist_init(GladeXML *xml);
int artistlist_prepend(char *name, int all);
int artistlist_clear();

/* albumlist */
int albumlist_init(GladeXML *xml);
int albumlist_prepend(char *name, int all);
int albumlist_clear();

/* songlist */
int songlist_init(GladeXML *xml);
int songlist_append(int id, char *name, char *artist,
                    char *album, char *time, char *track,
                    char *year);
int songlist_clear();
int songlist_get_selected_id();

#endif


