/* Copyright (c) 2004 David Hammerton - All rights reserved
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 *
 */


#ifndef __TUNESBROWSER_H
#define __TUNESBROWSER_H

void init_daap();
void init_daap_sources();
void set_daap_sources(void *host);
void finalize_daap_sources();

void set_daap_artistfilter(char *name);
void set_daap_albumfilter(char *name);

char *get_song_display_str_withalloc(int id);

void play_daap_song(int id);
void pause_daap_song();
void resume_daap_song();

/* hack */
void daap_audiocb_finished();

void audioplayer_init();
void audioplayer_playpipe(int fd);
void audioplayer_finalize();
void audioplayer_pause();
void audioplayer_resume();
void audioplayer_stop();


/* misc_ui */
enum songstatus
{
    STOPPED,
    PLAYING,
    PAUSED
};
void set_songstatus(enum songstatus status, int songid);
void set_songpos(int seconds);
void set_hostsupdated();

#endif

